Releases
All paths are relative to the base path /api/v1 (same origin as the UI). Authentication, roles, pagination and the error format are described in the overview; the types are on the page Data types.
| Operation | Request | Permission |
|---|---|---|
| Detected upstream releases (highest version first) | GET /releases | read (viewer) |
| Latest stable release of a distribution | GET /releases/latest | read (viewer) |
| [Breaking changes and deprecations for versions in (from, to]](#breaking-changes-and-deprecations-for-versions-in-from-to) | GET /releases/compare | read (viewer) |
| Poll upstream releases now | POST /releases/actions/refresh | releases:acknowledge (operator) |
| Release details incl. fleets behind and GitOps snippet | GET /releases/{distribution}/{version} | read (viewer) |
| Acknowledge the release notice | POST /releases/{distribution}/{version}/actions/acknowledge | releases:acknowledge (operator) |
Detected upstream releases (highest version first)
GET /api/v1/releases
Operation listReleases. Permission read (lowest role: viewer).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
distribution | query | string | no | One of otelcol-contrib, opampsupervisor. Default otelcol-contrib. |
includePrerelease | query | boolean | no | Default false. |
limit | query | integer | no | Range 1 to 500. Default 50. |
offset | query | integer | no | Range 0 to 100000. Default 0. |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 200 | Releases | application/json | ReleaseSummaryPage |
| 400 | Invalid request (code bad_request) | application/problem+json | Problem |
| 401 | Not authenticated (code unauthorized) | application/problem+json | Problem |
Latest stable release of a distribution
GET /api/v1/releases/latest
Operation getLatestRelease. Permission read (lowest role: viewer).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
distribution | query | string | no | One of otelcol-contrib, opampsupervisor. Default otelcol-contrib. |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 200 | Latest release | application/json | ReleaseDetail |
| 404 | Not found (code not_found) | application/problem+json | Problem |
Breaking changes and deprecations for versions in (from, to]
GET /api/v1/releases/compare
Operation compareVersions. Permission read (lowest role: viewer).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
distribution | query | string | no | One of otelcol-contrib, opampsupervisor. Default otelcol-contrib. |
from | query | string | yes | Example 0.150.0. |
to | query | string | yes | Example 0.162.0. |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 200 | Comparison | application/json | VersionComparison |
| 400 | Invalid request (code bad_request) | application/problem+json | Problem |
Poll upstream releases now
POST /api/v1/releases/actions/refresh
Operation refreshReleases. Permission releases:acknowledge (lowest role: operator).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-CSRF-Token | header | string | no | Required for cookie-authenticated mutating requests (value of cookie myriarch_csrf). |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 202 | Refresh requested | application/json | ActionAccepted |
| 401 | Not authenticated (code unauthorized) | application/problem+json | Problem |
Release details incl. fleets behind and GitOps snippet
GET /api/v1/releases/{distribution}/{version}
Operation getRelease. Permission read (lowest role: viewer).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
distribution | path | string | yes | Example otelcol-contrib. |
version | path | string | yes | Example 0.162.0. |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 200 | Release | application/json | ReleaseDetail |
| 404 | Not found (code not_found) | application/problem+json | Problem |
Acknowledge the release notice
POST /api/v1/releases/{distribution}/{version}/actions/acknowledge
Operation acknowledgeRelease. Permission releases:acknowledge (lowest role: operator).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
distribution | path | string | yes | |
version | path | string | yes | |
X-CSRF-Token | header | string | no | Required for cookie-authenticated mutating requests (value of cookie myriarch_csrf). |
Responses
| Status | Description | Content type | Type |
|---|---|---|---|
| 200 | Acknowledged release | application/json | Release |
| 404 | Not found (code not_found) | application/problem+json | Problem |